#!/bin/sh

check_disk_values()
{
TOTAL=`grep "e:" /usr/lib/nagios/plugins/data | awk '{print substr($0,14,6)}'`
USED=`grep "e:" /usr/lib/nagios/plugins/data | awk '{print substr($0,32,6)}'`
FREE=`grep "e:" /usr/lib/nagios/plugins/data | awk '{print substr($0,55,6)}'`
PRECENTFREE=`grep "e:" /usr/lib/nagios/plugins/data | awk '{print substr($0,66,2)}'`

if [ "$PRECENTFREE" > "$WARNING" ] ; then
        COLOR="green"
        elif [ "$PRECENTFREE" < "$CRITICAL" ] ; then
                color="red"
else
        color="yellow"
fi
}

check_values()
{
if [ "$COLOR" = "green" ] ; then
        exit 0
elif [ "$COLOR" = "yellow" ] ; then
        exit 1
elif [ "$COLOR" = "red" ] ; then
        exit 2
else
        exit 3
fi
}

database_update()
{
mysql --host=$DATABASEIP --user=nagios -pnagios $DATABASE --execute="INSERT INTO $TABLE(host_name, service_name, output) VALUES ('$HOST', 'TEST',  '$RESULT')"
}

get_diskspace()
{
RESULT=`/usr/lib/nagios/plugins/check_nt -H $HOST -p $PORT -v $TEST -l $ARG -w $WARNING -c $CRITICAL -s $PASSWORD`
}

print_data()
{
echo -n $RESULT > data
echo -n "Total = $TOTAL Free = $FREE USED = $USED"
}

print_help()
{
echo "Muppy Pup check_nt with Database update"
}

if [ -z $1 ]
then
        echo "No Target Host Specified"
        echo "Usage: -H <host> -p <port> -v <test> -w <warning> -c <critical>"
                   exit 3
fi

while getopts "hVt:c:w:H:p:l:d:D:T:v:s:" Option
do
        case $Option in
          h     ) print_help;;
          H     ) HOST=$OPTARG;;
          c     ) CRITICAL=$OPTARG;;
          w     ) WARNING=$OPTARG;;
          l     ) ARG=$OPTARG;;
          p     ) PORT=$OPTARG;;
          help ) print_help;;
          d     ) DATABASE=$OPTARG;;
          D     ) DATABASEIP=$OPTARG;;
          T     ) TABLE=$OPTARG;;
          v     ) TEST=$OPTARG;;
          s     ) PASSWORD=$OPTARG;;
        esac
done
shift $(($OPTIND - 1));

if [ "$TEST" = "USEDDISKSPACE" ] ; then
        get_diskspace
        database_update
        check_disk_values
        print_data
        check_values
fi
                                                                   